Subject: bug#24050: 24.5; ispell-change-dictionary suggests non-existent dicts (aspell)

From: Eli Zaretskii <[email-masked]>
Date: Sun, 28 Jul 2019 17:51:34 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sun, 28 Jul 2019 16:25:39 +0200
> 
> > The OP's suggestion would make sense if the list created by that
> > function was only used for completion.  However, in fact we also force
> > the user to specify a dictionary from the list, i.e. the selection
> > must match one of the members of the list.  So this change is for the
> > worse.
> 
> OK; I can revert, but I don't quite understand your objection.  If you
> choose a dictionary that's not in the list aspell/hunspell returned, the
> next time you hit `M-$' you'll just get an error message.

You assume that a dictionary not in the list doesn't exist; but that
isn't a given.  I've heard enough reports from users who for some
reason or other bumped into situations where ispell.el couldn't figure
out correctly what dictionaries are installed.  The standard list
(which is also customizable) leaves a "fire escape" for those cases.